import 'package:json_annotation/json_annotation.dart';
import 'package:lori_sdk/data/models/trustDefenderConfiguration.dart';
import 'package:lori_sdk/data/models/product/productOrder.dart';

part 'configurations.g.dart';

@JsonSerializable()
class Configurations {
  Configurations();

  bool showUnavailableProducts;
  int minStock;
  int daysIsNewRole;
  String apiVersion;
  bool showSkuSelector;

  @JsonKey(defaultValue: false)
  bool hasDealerCode;

  @JsonKey(defaultValue: false)
  bool showReaderCodeBar;

  @JsonKey(defaultValue: false)
  bool enableSDKCybersource;

  @JsonKey(defaultValue: 0.0)
  double displayRadius;

  @JsonKey(defaultValue: false)
  bool isShowSubCategories = false;

  @JsonKey(defaultValue: ProductOrder.none)
  ProductOrder catalogSort;

  @JsonKey(defaultValue: true)
  bool buyWithOneClick
  ;
  String checkoutPaymentAlertText;

  @JsonKey(defaultValue: false)
  bool forceSellerNameAtList;

  @JsonKey(defaultValue: "Code")
  String productDisplayCodeName;

  @JsonKey(defaultValue: false)
  bool enableUserPromotion;

  @JsonKey(name: 'sdkCybersourceConfiguration')
  TrustDefenderConfiguration trustDefenderConfiguration;

  factory Configurations.fromJson(Map<String, dynamic> json) =>
      _$ConfigurationsFromJson(json);

  Map<String, dynamic> toJson() => _$ConfigurationsToJson(this);
}
